Bug 6331 - Собрано без поддержки Theora
: Собрано без поддержки Theora
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MPlayer)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-26 20:22 by
Modified: 2005-08-30 14:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-26 20:22:53
--- MPlayer.spec.orig   2005-03-26 19:23:25 +0300
+++ MPlayer.spec        2005-03-26 19:23:28 +0300
@@ -3,7 +3,7 @@

 %define base_version   1.0
 %define real_version   %base_version
-%define release                alt17
+%define release                alt18
 %define pre_release    pre6a
 %define skin_version   1.7
 %define skin_release   alt1
@@ -204,6 +204,7 @@
 %def_disable divx4linux
 %def_enable  fame
 %def_enable  vorbis
+%def_enable  theora
 %def_enable  matroska
 %def_enable  faad
 %def_disable internal_faad
@@ -436,6 +437,10 @@
 BuildRequires: libogg-devel libvorbis-devel
 %endif

+%if_enabled theora
+BuildRequires: libtheora-devel
+%endif
+
 %if_enabled faad
 %if_disabled internal_faad
 BuildRequires: libfaad-devel
@@ -954,6 +959,7 @@
                --disable-opendivx \
                --enable-libavcodec \
                %{subst_enable vorbis} \
+               %{subst_enable theora} \
 %if_disabled matroska
                --disable-internal-matroska \
 %endif
@@ -1204,6 +1210,9 @@
 %_libdir/vidix/unichrome_vid.so

 %changelog
+* Sat Mar 26 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt18.pre6a
+- theora support added
+
 * Fri Jan 28 2005 Grigory Milev <week@altlinux.ru> 1.0-alt17.pre6a
 - new version released
------- Comment #1 From 2005-04-08 11:00:04 -------
fixed on next release